/* body {
    margin: 20px 100px 20px 100px;
} */

a {
    text-decoration: none !important;
    color: var(--asiakas-color);
}

.row::after {
    content: "";
    clear: both;
    display: table;
}

input[type=text] {
    width: 100%;
    padding: 8px 12px;
    border-radius: 4px;
    border: 1px solid #BCDEEF;
    box-shadow: 2px 2px 2px rgba(0, 0, 0, 0.1);
}

input[type=text]:focus {
    outline: none;
    background-color: var(--asiakas-color-01);
}

textarea[type=text]:focus {
    outline: none;
    background-color: var(--asiakas-color-01);
}

input[type=file] {
    width: 100%;
    padding: 10px 12px;
}

input[type=radio] {
    padding: 50px;
}

textarea {
    width: 100%;
    height: 60px;
    padding: 12px 20px;
    box-sizing: border-box;
    border: 1px solid #BCDEEF;
    border-radius: 4px;
    background-color: #ffffff;
    box-shadow: 2px 2px 2px rgba(0, 0, 0, 0.1);
    font-size: 16px;
}

textarea.large {
    height: 200px;
}

ul {
    list-style-type: none;
}

a {
    color: #777777;
    text-decoration: underline;
}

a:hover {
    color: #555555;
}

.card {
    border: none;
    border-radius: 0px;
}

.card-footer {
    border: none;
    background: none;
}

.card-header {
    text-transform: uppercase;
    font-family: Arial, Helvetica, sans-serif;
    font-weight: bold;
    color: #fff;
    letter-spacing: 1px;
    background-color: var(--asiakas-color);
    border: none !important;
    border-radius: 0px !important;
}

i {
    color: var(--asiakas-color);
}

.huomio {
    display: block;
    position: relative;
    border: 1px solid var(--asiakas-color);
    border-radius: 6px;
    background-color: var(--asiakas-color-01);
    color: #333333;
    padding: 10px 20px;
    font-size: 0.9rem;
    margin: 1rem;
}

.huomio span i {
    position: absolute;
    top: -15px;
    left: -15px;
    width: 2rem;
    height: 2rem;
    background-color: #ffffff;
    border: 1px solid;
    border-color: inherit;
    border-radius: 50%;
    text-align: center;
    font-size: 1.2rem;
    padding-top: 0;
    box-shadow: 2px 2px 2px rgba(0, 0, 0, 0.3);
}

.custom-tooltip {
    --bs-tooltip-bg: var(--asiakas-color);
}

.btn {
    padding: 5px 10px;
    font-size: 0.6rem;
    letter-spacing: 1px;
    font-weight: bold;
    text-transform: uppercase;
}

.btn-tt6 {
    color: #FFFFFF !important;
    background-color: var(--asiakas-accent-color);
    border-color: #FFFFFF;
    text-decoration: none !important;
}

.btn-tt6:hover {
    color: #FFFFFF;
    background-color: var(--asiakas-accent-color-hover);
    border-color: var(--asiakas-accent-color-hover);
}

.btn-tt6:focus,
.btn-tt6.focus {
    box-shadow: 0 0 0 0.2rem rgba(38, 143, 255, 0.5);
}

.btn-tt6.disabled,
.btn-tt6:disabled {
    color: #fff;
    background-color: #007bff;
    border-color: #007bff;
}

.btn-tt6:not(:disabled):not(.disabled):active,
.btn-tt6:not(:disabled):not(.disabled).active,
.show>.btn-tt6.dropdown-toggle {
    color: var(--asiakas-color);
    background-color: #DBEDF7;
    border-color: var(--asiakas-color);
}

.btn-tt6:not(:disabled):not(.disabled):active:focus,
.btn-tt6:not(:disabled):not(.disabled).active:focus,
.show>.btn-tt6.dropdown-toggle:focus {
    box-shadow: 0 0 0 0.2rem rgba(38, 143, 255, 0.5);
}

.btn-tt7 {
    color: var(--asiakas-color) !important;
    background-color: #fff;
    border-color: var(--asiakas-color);
    text-decoration: none !important;
}

.btn-tt7:hover {
    color: var(--asiakas-color) !important;
    background-color: #e2fdff;
    border-color: var(--asiakas-color);
}

.btn-tt7:focus,
.btn-tt7.focus {
    box-shadow: 0 0 0 0.2rem rgba(38, 143, 255, 0.5);
}

.btn-tt7.disabled,
.btn-tt7:disabled {
    color: #fff;
    background-color: #007bff;
    border-color: #007bff;
}

.btn-tt7:not(:disabled):not(.disabled):active,
.btn-tt7:not(:disabled):not(.disabled).active,
.show>.btn-tt7.dropdown-toggle {
    color: var(--asiakas-color);
    background-color: #DBEDF7;
    border-color: var(--asiakas-color);
}

.btn-tt7:not(:disabled):not(.disabled):active:focus,
.btn-tt7:not(:disabled):not(.disabled).active:focus,
.show>.btn-tt7.dropdown-toggle:focus {
    box-shadow: 0 0 0 0.2rem rgba(38, 143, 255, 0.5);
}

.btn-table {
    margin-bottom: 0.25rem;
    margin-left: .1rem;
    padding: 3px 6px;
    font-size: 0.5rem;
    letter-spacing: 1px;
    font-weight: bold;
    text-transform: uppercase;
    color: var(--asiakas-color) !important;
    background-color: #fff;
    border-color: var(--asiakas-color);
    text-decoration: none !important;
}

.btn-table:hover {
    color: var(--asiakas-color) !important;
    background-color: #e2fdff;
    border-color: var(--asiakas-color);
}

.btn-table:focus,
.btn-table.focus {
    box-shadow: 0 0 0 0.2rem rgba(38, 143, 255, 0.5);
}

.btn-table.disabled,
.btn-table:disabled {
    color: #fff;
    background-color: #007bff;
    border-color: #007bff;
}

.btn-table:not(:disabled):not(.disabled):active,
.btn-table:not(:disabled):not(.disabled).active,
.show>.btn-table.dropdown-toggle {
    color: var(--asiakas-color);
    background-color: #DBEDF7;
    border-color: var(--asiakas-color);
}

.btn-table:not(:disabled):not(.disabled):active:focus,
.btn-table:not(:disabled):not(.disabled).active:focus,
.show>.btn-table.dropdown-toggle:focus {
    box-shadow: 0 0 0 0.2rem rgba(38, 143, 255, 0.5);
}

.valiotsikko {
    display: inline-block;
    width: 100%;
    border-bottom: 1px solid var(--asiakas-color);
    font-weight: bold;
    margin-top: 10px;
    margin-bottom: 5px;
    padding: 10px;
    text-transform: uppercase;
}

.tilaus-logo {
    background: #FFFFFF;
    background-image: url("/ILMO/assets/img/Taikanakka.png");
    background-repeat: no-repeat;
    background-size: 50%;
    background-position: center;
}

.tilaus-otsikko {
    font-size: 22px;
    font-weight: 700;
    text-align: right;
    color: var(--asiakas-color);
    padding: 20px;
    text-transform: uppercase;
}

.hinta {
    font-size: 50px;
    font-weight: bold;
    color: var(--asiakas-color);
    text-align: right;
}

.hinta-loppu {
    font-size: 24px;
    font-weight: bold;
    color: var(--asiakas-color);
}

.oma-label {
    font-family: 'Roboto', sans-serif;
    font-size: 11px;
    text-transform: uppercase;
    position: relative;
    top: 9px;
    left: 1px;
    color: #999999;
    background-color: #FFFFFF;
    padding: 0px 5px 0px 5px;
    z-index: 10;
}

.oma-label2 {
    font-family: 'Roboto', sans-serif;
    font-size: 11px;
    text-transform: uppercase;
    position: relative;
    top: 5px;
    left: -5px;
    color: #999999;
    background-color: #FFFFFF;
    padding: 0px 5px 0px 5px;
    z-index: 10;
}

/*AIHE*/

.hero {
    position: relative;
    width: 100%;
    min-height: 148px;
    background-color: #ffffff;
    box-shadow: 0 4px 6px -1px rgba(0, 0, 0, 0.16);
}

/*
    Vanha logo
*/
.logo {
    position: relative;
    top: 41px;
    left: 77px;
    width: 318px;
    height: 69px;
    border-radius: 8px;
    background-image: url("/ILMO/assets/img/Taikanakka.png");
    background-position: center center;
    background-size: cover;
    background-repeat: no-repeat;
}

.logo-container {
    position: relative;
    top: 41px;
    left: 77px;
    width: 318px;
    height: 69px;
    padding: 0;
    border-radius: 8px;
    background-position: center center;
    background-size: cover;
    background-repeat: no-repeat;
}

.logo-image {
    width: 100%;
    height: 100%;
    border-radius: 8px;
    background-image: url("/ILMO/assets/img/Taikanakka.png");
    background-position: center center;
    background-size: cover;
    background-repeat: no-repeat;
}


/*ILMOITUSMALLI*/

.text-image-1-column {
    position: relative;
    padding-bottom: 50%;
    background-color: #ccc;
    /* Gray bottom half */
}

/* Absolutely position the image to occupy top 50% */
.text-image-1-column img {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 50%;
    /* Top half is image, bottom half is gray */
    object-fit: cover;
    /* Crop to fit nicely */
    border-top-left-radius: 4px;
    /* Match container radius */
    border-top-right-radius: 4px;
}

.text-image-2-columns {
    position: relative;
    /* Create a 2:1 width-to-height ratio:
       i.e., height = 50% of width. */
    padding-bottom: 50%;
    background-color: #ccc;
    /* Gray background for the right half */

    max-width: 50%;
}

.text-image-2-columns img {
    /* Absolutely position the image so it fills the left 50% */
    position: absolute;
    top: 0;
    left: 0;
    width: 50%;
    height: 100%;
    object-fit: cover;
    /* Crop to fill nicely */
    border-top-left-radius: 4px;
    /* Match container radius */
    border-bottom-left-radius: 4px;
}

.text-image-2-columns-2-rows {
    position: relative;
    /* Create a 2:1 width-to-height ratio:
       i.e., height = 50% of width. */
    padding-bottom: 50%;
    background-color: #ccc;
    /* Gray background for the right half */
}

.text-image-2-columns-2-rows img {
    /* Absolutely position the image so it fills the left 50% */
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 50%;
    /* Top half is image, bottom half is gray */
    object-fit: cover;
    /* Crop to fit nicely */
    border-top-left-radius: 4px;
    /* Match container radius */
    border-top-right-radius: 4px;
}

.text-1-column {
    position: relative;
    background-color: #ccc;
    height: 314px;
    /* Gray bottom half */
}

.text-1-column.no-bg {
    background-color: transparent;
    height: auto;
   
}

.text-1-column.no-bg img {
    max-width: 100%;
}

.text-2-column.no-bg {
    background-color: transparent;
    height: auto;
    max-width: 100%;
}

.text-2-column.no-bg img {
    max-width: 100%;
}


/*KUOLINILMOITUS TYYLIT*/

.rip-input {
    width: 100%;
    padding: 8px 12px;
    border-radius: 4px;
    border: 1px solid #BCDEEF;
    box-shadow: 2px 2px 2px rgba(0, 0, 0, 0.1);
}

.rip-input:focus {
    outline: none;
    background-color: var(--asiakas-color-01);
}

.rip-symboli {
    display: block;
    height: 200px;
}

.rip-nimi {
    font-family: Georgia, 'Times New Roman', Times, serif;
    font-size: 1.5rem;
    font-weight: bold;
    text-align: center;
}

.rip-syntyma {
    font-family: Georgia, 'Times New Roman', Times, serif;
    font-size: 1.2rem;
    font-weight: 500;
    text-align: center;
}

.rip-syntyma::before {
    display: inline-block;
    text-rendering: auto;
    -webkit-font-smoothing: antialiased;
    font-family: "Font Awesome 5 Free";
    font-weight: 900;
    font-size: 0.8rem;
    content: "\f005";
    padding: 0px 10px;
}

.rip-kuolema {
    font-family: Georgia, 'Times New Roman', Times, serif;
    font-size: 1.2rem;
    font-weight: 500;
    text-align: center;
}

.rip-kuolema::before {
    display: inline-block;
    text-rendering: auto;
    -webkit-font-smoothing: antialiased;
    font-family: "Font Awesome 5 Free";
    font-weight: 900;
    font-size: 0.8rem;
    content: "\f654";
    padding: 0px 10px;
}

.rip-runo {
    font-family: Georgia, 'Times New Roman', Times, serif;
    font-size: 1rem;
    font-weight: 300;
    font-style: italic;
    text-align: center;
}

.rip-kaipaavat {
    font-family: Georgia, 'Times New Roman', Times, serif;
    font-size: 1rem;
    font-weight: 300;
    font-style: normal;
    text-align: center;
}

.rip-kaipaavat::before {
    content: "Sinua jäävät kaipaamaan \A";
    white-space: pre;
    font-family: Georgia, 'Times New Roman', Times, serif;
    font-size: 0.7rem;
    font-weight: 300;
    text-transform: uppercase;
}

.active ul {
    list-style-type: none;
}

.active li {
    display: inline-block;
}

label {
    border: 1px solid #fff;
    display: block;
    position: relative;
    cursor: pointer;
}

label:before {
    background-color: white;
    color: white;
    content: " ";
    display: block;
    border-radius: 50%;
    border: 1px solid var(--asiakas-color);
    position: absolute;
    top: -8px;
    left: -8px;
    width: 29px;
    height: 29px;
    text-align: center;
    line-height: 28px;
    transition-duration: 0.4s;
    transform: scale(0);
}

label img {
    height: 100px;
    width: 100px;
    padding: 10px;
    margin: 10px;
    transition-duration: 0.2s;
    transform-origin: 50% 50%;
}

:checked+label {
    border-color: #ddd;
}

:checked+label:before {
    content: "✓";
    background-color: var(--asiakas-color);
    transform: scale(1);
    z-index: 1;
}

:checked+label img {
    transform: scale(1.1);
    box-shadow: 0 0 5px #333;
    z-index: -1;
}

.nav-link {
    color: var(--asiakas-color);
}

.rip-esikatselu {
    width: 90%;
    min-height: 500px;
    padding: 20px;
    margin: 10px;
    border: 1px solid black;
}


/*KUOLINILMOITUS TYYLIT LOPPU*/

.julkaisupaivat {
    display: inline-block;
    padding: 3px 12px;
    background-color: #eeeeee;
    color: #000000;
    width: auto;
    border-radius: 10px;
    margin: 5px 0px 10px 0px;
}

.julkaisupaivat::after {
    content: " X";
    font-weight: bold;
}

.julkaisupaivat:hover {
    background-color: #DDD;
}

.yhteenveto-sticky {
    position: -webkit-sticky;
    position: sticky;
    top: 30px;
}

input[type="checkbox"],
[type=radio] {
    display: none;
}

.rastiruutuun {
    display: block;
    position: relative;
    padding-left: 30px;
    margin-bottom: 12px;
    cursor: pointer;
    font-size: 1rem;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}

.rasti {
    position: absolute;
    top: 1px;
    left: 0;
    height: 22px;
    width: 22px;
    background-color: var(--white);
    border-radius: 2px;
    border: 1px solid #999999;
}

.rastiruutuun:hover input~.rasti {
    background-color: var(--asiakas-color-01);
}

.rastiruutuun input:checked~.rasti {
    background-color: var(--asiakas-color);
}

.rasti:after {
    content: "";
    position: absolute;
    display: none;
}

.rastiruutuun input:checked~.rasti:after {
    display: block;
}

.rastiruutuun .rasti:after {
    left: 8px;
    top: 4px;
    width: 5px;
    height: 10px;
    border: solid white;
    border-width: 0 3px 3px 0;
    -webkit-transform: rotate(45deg);
    -ms-transform: rotate(45deg);
    transform: rotate(45deg);
}

.symbol-height {
    height: 100px;
    object-fit: cover;
}

@media (max-width: 768px) {

    .container,
    .container-sm,
    .container-md {
        max-width: 720px;
    }

    .card {
        margin: 0px;
    }

    body {
        margin: 0px;
    }
}

.osasto-lista {
    text-align: left;
    font-weight: 700;
    padding: 0px;
}

.osasto-lista>li {
    width: 100%;
    padding: 13px;
    margin-bottom: 5px;
    background: whitesmoke;
}

.osasto-valitse {
    position: absolute;
    right: 25px;
}

.aihe-kuva {
    height: 25rem;
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    position: relative;
    border-radius: 10px;
    box-shadow: 0px 0px 10px rgba(3, 3, 3, 0.1);
    overflow: hidden;
    /* Ensures image corner rounding if needed */
}

.aihe-otsikko {
    cursor: pointer;
    text-align: center;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    color: white;
    overflow: hidden;
    cursor: pointer;
    box-shadow: 0px 0px 10px rgba(3, 3, 3, 0.1);
    background-color: var(--asiakas-color);
    font-family: "Poppins";
    border-radius: 10px;
    padding: 8px 8px;
    font-size: 1rem;
}

a.aihe-otsikko:hover {
    color: white;
}

/*LATAA AINEISTOT TYYLIT*/

.custom-file {
    position: relative;
    overflow: hidden;
    margin-bottom: 10px;
    display: inline-block;
    width: 95%;
    height: auto;
    background-color: var(--asiakas-color-01);
    border: dashed #ddd 4px;
    border-radius: 10px;
}

.custom-file-input {
    position: relative;
    left: 0;
    top: 0;
    width: 100%;
    height: 10rem;
    cursor: pointer;
    opacity: 0;
    z-index: 100;
}

.custom-file-label {
    margin-top: 1rem;
    color: var(--asiakas-color-opacity);
    font-size: 1.5rem;
}

.custom-file-label i {
    color: var(--asiakas-color-opacity);
    font-size: 3.5rem;
}

ul.file-list {
    list-style: none;
    padding: 0;
}

ul.file-list li {
    z-index: 101 !;
    text-align: left;
    font-size: 1.2rem;
    font-weight: 700;
    color: #777777;
    padding: 1rem;
    margin: 1rem;
    background-color: var(--asiakas-color-01);
}

.remove-list i {
    cursor: pointer;
    margin-left: 10px;
    color: #AAA;
}

.remove-list:hover i {
    color: var(--asiakas-color);
}


/* KUVAN LATAUS */

.modal.fade .modal-dialog {
    -webkit-transform: translate(0);
    -moz-transform: translate(0);
    transform: translate(0);
}

input[type="file"] {
    opacity: 0;
    width: 1px;
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
}

.ilmoitusalue {
    display: block;
    width: 300px;
    height: 500px;
    border: 2px solid #000000;
    margin: 10px auto;
    overflow: hidden;
}

.ilmoitusalue2 {
    display: block;
    width: 300px;
    height: 250px;
    border: 2px solid #000000;
    margin: 10px auto;
    overflow: hidden;
}

.avatar {
    position: relative;
    text-align: center;
    padding: 5px;
    cursor: pointer;
}

img.gambar {
    display: block;
    background: white;
    width: 100% !important;
    padding: 2px;
    margin: 0px auto;
    cursor: pointer;
}

.modal-content {
    border: none;
    border-radius: 8px;
}

.modal-body {
    padding: 0;
}

.modal-footer {
    justify-content: space-between;
}

.modal-header {
    background-color: #2e6a9c;
    color: white;
    align-items: center;
    padding: 1.719rem 1rem;
    border-bottom: none;
    border-top-left-radius: 4px;
    border-top-right-radius: 4px;
}

.modal-header>h6 {
    font-weight: 700;
    text-transform: uppercase;
}

.close {
    font-size: 0;
    opacity: 1;
}

#upload-demo {
    width: 100%;
    height: 500px;
    padding-bottom: 40px;
    background: #666666;
}

.cr-slider {
    display: flex;
    align-items: center;
    width: 100%;
    padding: 0;
}

.cr-slider:before,
.cr-slider:after {
    content: "\f03e";
    color: white;
    font-family: "Font Awesome 5 Free";
    font-weight: 400;
    margin: 0 10px;
}

.cr-slider:before {
    font-size: 16px;
}

.cr-slider:after {
    font-size: 21px;
}

.cr-slider::-webkit-slider-thumb {
    background: #2e6a9c;
    margin-top: -7px;
    border: 2px solid white;
}

.cr-slider::-webkit-slider-runnable-track {
    height: 2px;
    background: white;
    border-radius: 0;
}

.croppie-container .cr-slider-wrap {
    height: 40px;
    width: 100%;
    display: flex;
    justify-content: center;
    margin: 0;
}


/*TEKSTIEDITORI MATERIAALIT*/

#editor {
    min-height: 150px;
    overflow: auto;
    padding: 1em;
    margin-top: 0px;
    resize: none;
    outline: none;
}

.editor-small {
    min-height: 0px;
}

.toolbar {
    text-align: center;
}

.toolbar a,
.fore-wrapper,
.back-wrapper {
    border: 1px solid #AAA;
    background: #2e6a9c;
    border-radius: 0px;
    color: #ffffff;
    padding: 2px 10px;
    width: auto;
    margin: -2px;
    margin-top: 10px;
    display: inline-block;
    text-decoration: none;
    box-shadow: 0px 1px 0px #CCC;
}

.toolbar a:hover,
.fore-wrapper:hover,
.back-wrapper:hover {
    background: #1d4c74;
}

.fore-wrapper,
a[data-command='justifyCenter'] {
    border-radius: 0px 6px 6px 0px;
}

.fore-wrapper,
a[data-command='h1'] {
    border-radius: 6px 0px 0px 6px;
    ;
}

a.palette-item {
    height: 1em;
    border-radius: 3px;
    margin: 2px 1px;
    width: 1em;
}

.fore-palette,
.back-palette {
    display: none;
}

.fore-wrapper,
.back-wrapper {
    display: inline-block;
    cursor: pointer;
}

.fore-wrapper:hover .fore-palette,
.back-wrapper:hover .back-palette {
    display: block;
    float: left;
    position: absolute;
    padding: 3px;
    width: 10em;
    background: #FFF;
    border: 1px solid #DDD;
    box-shadow: 0 0 5px #CCC;
    height: 4.4em;
}

.fore-wrapper:hover .fore-palette {
    left: 34%;
    top: 42px;
}

.back-wrapper:hover .back-palette {
    left: 36%;
    top: 42px;
}

.fore-palette a,
.back-palette a {
    background: #FFF;
    margin-bottom: 2px;
}


/*VAIHEET*/

.vaihe-navi {
    position: relative;
    margin-top: 30px;
    margin-right: 1rem;
    margin-bottom: 30px;
    margin-left: 1rem;
    display: flex;
    justify-content: space-between;
    padding-left: 0;
    list-style-type: none;
}

.vaihe-navi:before {
    content: '';
    position: absolute;
    height: 5px;
    width: calc(100% - 10px);
    top: 1.3rem;
    left: 5px;
    background-color: var(--asiakas-color);
    z-index: -1;
}

.vaihe-navi .steps {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    flex-grow: 1;
    flex-basis: 0;
}

.vaihe-navi .step-number {
    width: 2.8rem;
    height: 2.8rem;
    display: flex;
    font-size: 1.5rem;
    justify-content: center;
    align-items: center;
    background-color: #eeeeee;
    border: 2px solid #eeeeee;
    color: #999999;
    border-radius: 50%;
    cursor: default;
}

.vaihe-navi .active .step-number {
    background-color: var(--asiakas-color);
    color: #fff;
    border: 2px solid var(--asiakas-color);
    cursor: default;
}

.vaihe-navi .done .step-number {
    background-color: #fff;
    border: 3px solid var(--asiakas-color);
    cursor: pointer;
}

.vaihe-navi .done .step-number:hover,
.vaihe-navi .done .step-number i:hover {
    background-color: var(--asiakas-color);
    color: #ffffff !important;
    border: 2px solid var(--asiakas-color);
    cursor: pointer;
}

.vaihe-navi .step-text {
    display: none;
}

@media (min-width: 568px) {
    .vaihe-navi .step-text {
        display: flex;
        color: #68737a;
        font-size: 1rem;
        justify-content: center;
        line-height: 1.5rem;
        text-align: center;
        max-width: 10rem;
        padding-top: 10px;
    }
}